diff -up sos-2.2/sos/plugins/psacct.py.orig sos-2.2/sos/plugins/psacct.py
--- sos-2.2/sos/plugins/psacct.py.orig  2012-10-17 17:30:13.848389844 +0100
+++ sos-2.2/sos/plugins/psacct.py       2012-10-17 17:33:43.976135093 +0100
@@ -17,6 +17,13 @@ import sos.plugintools
 class psacct(sos.plugintools.PluginBase):
     """Process accounting related information
     """
+    optionList = [("all", "collect all process accounting files", "slow", False)]
+
+    packages = [ "psacct" ]
+
     def setup(self):
-        self.addCopySpec("/var/account")
+        self.addCopySpec("/var/account/pacct")
+        if self.getOption("all"):
+            self.addCopySpec("/var/account/pacct*.gz")
         return
+

